Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 614082 - SELinux verhindert /usr/bin/perl "signal" Zugriff .
SELinux verhindert /usr/bin/perl "signal" Zugriff .
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
12
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
setroubleshoot_trace_hash:43cedf8e5f2...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-13 12:14 EDT by Till Maas
Modified: 2010-08-19 21:44 EDT (History)
2 users (show)

See Also:
Fixed In Version: selinux-policy-3.6.32-120.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-19 21:44:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Till Maas 2010-07-13 12:14:19 EDT
Zusammenfassung:

SELinux verhindert /usr/bin/perl "signal" Zugriff .

Detaillierte Beschreibung:

[SELinux ist in freizügigem Modus. Dieser Zugriff wurde nicht verweigert.]

SELinux verweigerte den von munin-node angeforderten Zugriff. Da nicht davon
ausgegangen wird, dass dieser Zugriff von munin-node benötigt wird,
signalisiert dies möglicherweise einen Einbruchsversuch. Es ist ausserdem
möglich, dass diese spezielle Version oder Konfiguration der Anwendung den
zusätzlichen Zugriff verursacht.

Zugriff erlauben:

Sie können ein lokales Richtlininenmodul generieren, um diesen Zugriff zu
erlauben siehe FAQ (http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385)
Bitte reichen Sie einen Fehlerbericht ein.

Zusätzliche Informationen:

Quellkontext                  system_u:system_r:munin_t:s0
Zielkontext                   system_u:system_r:munin_system_plugin_t:s0
Zielobjekte                   None [ process ]
Quelle                        munin-node
Quellpfad                     /usr/bin/perl
Port                          <Unbekannt>
Host                          (entfernt)
RPM-Pakete der Quelle         perl-5.10.0-87.fc12
RPM-Pakete des Ziels          
Richtlinien-RPM               selinux-policy-3.6.32-118.fc12
SELinux aktiviert             True
Richtlinientyp                targeted
Enforcing-Modus               Permissive
Plugin-Name                   catchall
Rechnername                   (entfernt)
Plattform                     Linux (entfernt)
                              2.6.32.14-127.fc12.x86_64 #1 SMP Fri May 28
                              04:30:39 UTC 2010 x86_64 x86_64
Anzahl der Alarme             1
Zuerst gesehen                Sa 10 Jul 2010 12:05:45 CEST
Zuletzt gesehen               Sa 10 Jul 2010 12:05:45 CEST
Lokale ID                     223f6c0a-c2a6-4a32-be40-da6301590208
Zeilennummern                 

Raw-Audit-Meldungen           

node=(entfernt) type=AVC msg=audit(1278756345.203:722): avc:  denied  { signal } for  pid=7784 comm="munin-node" scontext=system_u:system_r:munin_t:s0 tcontext=system_u:system_r:munin_system_plugin_t:s0 tclass=process

node=(entfernt) type=SYSCALL msg=audit(1278756345.203:722): arch=c000003e syscall=62 success=yes exit=0 a0=ffffdf89 a1=1 a2=ffffffec a3=0 items=0 ppid=2817 pid=7784 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="munin-node" exe="/usr/bin/perl" subj=system_u:system_r:munin_t:s0 key=(null)



Hash String generated from  catchall,munin-node,munin_t,munin_system_plugin_t,process,signal
audit2allow suggests:

#============= munin_t ==============
allow munin_t munin_system_plugin_t:process signal;
Comment 1 Daniel Walsh 2010-07-13 13:58:05 EDT
Miroslav add

	allow munin_t $1_system_plugin_t:process signal;
Comment 2 Miroslav Grepl 2010-07-14 05:32:24 EDT
Added to selinux-policy-3.7.19-37.fc13
Comment 3 Miroslav Grepl 2010-08-05 07:45:19 EDT
Fixed in selinux-policy-3.6.32-120.fc12
Comment 4 Fedora Update System 2010-08-05 09:18:56 EDT
selinux-policy-3.6.32-120.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/selinux-policy-3.6.32-120.fc12
Comment 5 Fedora Update System 2010-08-05 19:23:01 EDT
selinux-policy-3.6.32-120.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/selinux-policy-3.6.32-120.fc12
Comment 6 Fedora Update System 2010-08-19 21:39:16 EDT
selinux-policy-3.6.32-120.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.